Type to search.

Create an agent binary download source

Base URL
https://{kibana_url}
  • POST /api/fleet/agent_download_sources
Auth

Create a new agent binary download source.

Required privileges

Privileges fleet-settings-all

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

host string · format: uri required
id string
is_default boolean · default: false
name string required
proxy_id string nullable

The ID of the proxy to use for this download source. See the proxies API for more information.

Responses

Successful response

application/json
item object required
host string · format: uri required
id string required
is_default boolean · default: false
is_preconfigured boolean
name string required
proxy_id string nullable

The ID of the proxy to use for this download source. See the proxies API for more information.